Back to top

API Documentation

Brands

Create new brand

Create new brand
POST/brands

Example URI

POST /brands
Request
HideShow
Body
{
  "brand_type": "Brokerage",
  "palette": {
    "primary": "red"
  },
  "assets": {},
  "messages": {},
  "name": "Child Brand",
  "roles": [
    {
      "role": "Owner",
      "members": [
        {
          "user": "80a227b2-29a0-11e7-b636-e4a7a08e15d4"
        }
      ],
      "acl": [
        "Admin",
        "Marketing",
        "Deals",
        "CRM",
        "Showings"
      ]
    }
  ],
  "parent": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
    "created_at": 1778872023.799601,
    "updated_at": 1778872023.799601,
    "palette": {
      "primary": "red",
      "type": "brand_palette"
    },
    "assets": {
      "type": "brand_assets"
    },
    "messages": {
      "type": "brand_messages"
    },
    "parent": {
      "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
      "created_at": 1778872023.230604,
      "updated_at": 1778872023.230605,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": null,
      "name": "Parent Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": null,
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "name": "Child Brand",
    "deleted_at": null,
    "training": false,
    "brand_type": "Brokerage",
    "parents": [
      "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
    ],
    "type": "brand",
    "hostnames": null,
    "member_count": 1,
    "base_url": "https://irish.rechat.com"
  }
}

Update a brand

Update a brand
PUT/brands/:id

Example URI

PUT /brands/:id
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
Request
HideShow
Body
{
  "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
  "created_at": 1778872023.799601,
  "updated_at": 1778872023.799601,
  "palette": {
    "primary": "red",
    "type": "brand_palette"
  },
  "assets": {
    "type": "brand_assets"
  },
  "messages": {
    "type": "brand_messages"
  },
  "parent": {
    "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
    "created_at": 1778872023.230604,
    "updated_at": 1778872023.230605,
    "palette": {
      "primary": "red",
      "type": "brand_palette"
    },
    "assets": {
      "type": "brand_assets"
    },
    "messages": {
      "type": "brand_messages"
    },
    "parent": null,
    "name": "Parent Brand",
    "deleted_at": null,
    "training": false,
    "brand_type": "Brokerage",
    "parents": null,
    "type": "brand",
    "hostnames": null,
    "member_count": 1,
    "base_url": "https://irish.rechat.com"
  },
  "name": "Updated Brand",
  "deleted_at": null,
  "training": false,
  "brand_type": "Brokerage",
  "parents": [
    "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
  ],
  "type": "brand",
  "hostnames": null,
  "member_count": 1,
  "base_url": "https://irish.rechat.com"
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
    "created_at": 1778872023.799601,
    "updated_at": 1778872022.971001,
    "palette": {
      "type": "brand_palette",
      "primary": "red"
    },
    "assets": {
      "type": "brand_assets"
    },
    "messages": {
      "type": "brand_messages"
    },
    "parent": {
      "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
      "created_at": 1778872023.230604,
      "updated_at": 1778872023.230605,
      "palette": {
        "primary": "red",
        "type": "brand_palette"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": null,
      "name": "Parent Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": null,
      "type": "brand",
      "hostnames": null,
      "member_count": 1,
      "base_url": "https://irish.rechat.com"
    },
    "name": "Updated Brand",
    "deleted_at": null,
    "training": false,
    "brand_type": "Brokerage",
    "parents": [
      "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
    ],
    "type": "brand",
    "hostnames": null,
    "member_count": 1,
    "base_url": "https://irish.rechat.com"
  }
}

Delete a brand

Delete a brand
DELETE/brands/:id

Example URI

DELETE /brands/:id
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
Response  204

Users

Get agents of a brand

Get agents of a brand
GET/brands/:brand/agents

Example URI

GET /brands/:brand/agents
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
q
string (required) Example: User
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
      "created_at": 1778872023.799601,
      "updated_at": 1778872022.971001,
      "palette": {
        "type": "brand_palette",
        "primary": "red"
      },
      "assets": {
        "type": "brand_assets"
      },
      "messages": {
        "type": "brand_messages"
      },
      "parent": {
        "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
        "created_at": 1778872023.230604,
        "updated_at": 1778872023.230605,
        "palette": {
          "primary": "red",
          "type": "brand_palette"
        },
        "assets": {
          "type": "brand_assets"
        },
        "messages": {
          "type": "brand_messages"
        },
        "parent": null,
        "name": "Parent Brand",
        "deleted_at": null,
        "training": false,
        "brand_type": "Brokerage",
        "parents": null,
        "type": "brand",
        "hostnames": null,
        "member_count": 1,
        "base_url": "https://irish.rechat.com"
      },
      "name": "Updated Brand",
      "deleted_at": null,
      "training": false,
      "brand_type": "Brokerage",
      "parents": [
        "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
      ],
      "type": "brand",
      "hostnames": null,
      "member_count": 8,
      "base_url": "https://irish.rechat.com"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Get users of a brand

Get users of a brand
GET/brands/:brand/users

Example URI

GET /brands/:brand/users
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
q
string (required) Example: User
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "b1e42b3e-4ca8-438c-bc0a-53ff20d89e17",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": "+14099990002",
        "created_at": 1778872024.651801,
        "id": "b1e42b3e-4ca8-438c-bc0a-53ff20d89e17",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": "https://test.cloudfront.net/b1e42b3e-4ca8-438c-bc0a-53ff20d89e17/42d150d0-5091-11f1-8248-cf8ab660e2ca.jpg",
        "updated_at": 1778872024.684086,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "0a6c7249-8791-4793-9390-7b6c839971c7",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "+14099990002",
        "abbreviated_display_name": "+14099990002",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "79f3a6de-fce0-4a2c-b40e-0068acf72e98",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "",
        "last_name": "BBB",
        "email": "[email protected]",
        "phone_number": "+14099990001",
        "created_at": 1778872024.576943,
        "id": "79f3a6de-fce0-4a2c-b40e-0068acf72e98",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872024.57696,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "e3592ace-1c24-41ee-b0b8-1ae5f93f9930",
        "brand": null,
        "fake_email": true,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": " BBB",
        "abbreviated_display_name": "+14099990001",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "73cf0f6e-7c7f-49c1-b06a-65fb5a38ad51",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "AAA",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1778872024.191529,
        "id": "73cf0f6e-7c7f-49c1-b06a-65fb5a38ad51",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872024.191547,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "990cf71f-4842-4fb9-9a40-8b771c97c6b7",
        "brand": null,
        "fake_email": false,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "AAA ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "94e90563-932e-447a-9191-93a239124a7d",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "AAA",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1778872024.271968,
        "id": "94e90563-932e-447a-9191-93a239124a7d",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872024.271986,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "5fdd25d5-ba15-44e1-b113-36884dca05f2",
        "brand": null,
        "fake_email": false,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "AAA ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "7eaffcb1-f279-4f63-bcff-93c2eac6a9e0",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "DDD",
        "last_name": "EEE",
        "email": "[email protected]",
        "phone_number": "+14099990003",
        "created_at": 1778872024.792197,
        "id": "7eaffcb1-f279-4f63-bcff-93c2eac6a9e0",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872024.792209,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "a00578e2-c87c-4f8b-a5a1-bfdaa9c7da36",
        "brand": null,
        "fake_email": false,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "DDD EEE",
        "abbreviated_display_name": "DDD",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "b23c5ba0-6089-49ac-894f-a4f243b19f40",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "FFF",
        "last_name": "GGG",
        "email": "[email protected]",
        "phone_number": "+14099990004",
        "created_at": 1778872024.880568,
        "id": "b23c5ba0-6089-49ac-894f-a4f243b19f40",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872024.880587,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "66cde6d9-8d86-4385-a7b9-8560a5bbd226",
        "brand": null,
        "fake_email": false,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "FFF GGG",
        "abbreviated_display_name": "FFF",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "Unit",
        "last_name": "Test",
        "email": "[email protected]",
        "phone_number": "+4368120265807",
        "created_at": 1493115498.770362,
        "id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872022.971001,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": true,
        "timezone": "America/Chicago",
        "user_type": "Agent",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": false,
        "personal_room": null,
        "brand": null,
        "fake_email": false,
        "features": [
          "Deals"
        ],
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": true,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": [
          {
            "id": "29174c3a-c640-4de2-a585-f574717b627e",
            "email": "[email protected]",
            "mlsid": "00920130",
            "fax": "(972) 264-4703",
            "full_name": "Gholi Sweet",
            "first_name": "Gholi",
            "last_name": "Sweet",
            "middle_name": null,
            "phone_number": "(972) 264-4703",
            "nar_number": "797500044",
            "office_mui": "15512742",
            "status": "Active",
            "office_mlsid": "RCHT01X",
            "work_phone": "(469) 358-8080",
            "generational_name": null,
            "matrix_unique_id": "155155530",
            "updated_at": 1778872023.063286,
            "deleted_at": null,
            "created_at": 1778872023.063286,
            "mls": "NTREIS",
            "license_number": null,
            "designation": null,
            "nrds": "01053140",
            "type": "agent",
            "office_id": null,
            "secret_questions": [
              "(972) XXX-XX03",
              "jewellxxxxxxxxxxxxxal.net",
              "(469) XXX-XX80"
            ]
          }
        ],
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "Unit Test",
        "abbreviated_display_name": "Unit",
        "online_state": "Offline",
        "has_password": true
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "7cada778-88c0-497d-8ca5-ccaa9c1b3de5"
        },
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    },
    {
      "total": 8,
      "id": "590a02b0-55bb-4fc2-b257-cfe53508b717",
      "user": {
        "type": "user",
        "username": null,
        "first_name": "[email protected]",
        "last_name": "",
        "email": "[email protected]",
        "phone_number": null,
        "created_at": 1778872025.032883,
        "id": "590a02b0-55bb-4fc2-b257-cfe53508b717",
        "address_id": null,
        "cover_image_url": null,
        "profile_image_url": null,
        "updated_at": 1778872025.032923,
        "user_status": "Active",
        "profile_image_thumbnail_url": null,
        "cover_image_thumbnail_url": null,
        "email_confirmed": false,
        "timezone": "America/Chicago",
        "user_type": "Client",
        "deleted_at": null,
        "phone_confirmed": false,
        "is_shadow": true,
        "personal_room": "381fb424-e112-4209-b9aa-6b4902a703a7",
        "brand": null,
        "fake_email": false,
        "features": null,
        "last_seen_at": null,
        "email_signature": null,
        "daily_enabled": false,
        "email_quota": 30000,
        "website": null,
        "instagram": null,
        "twitter": null,
        "linkedin": null,
        "youtube": null,
        "facebook": null,
        "designation": null,
        "tiktok": null,
        "mfa_enabled": false,
        "xpressdocs_user_id": null,
        "current_time": "2:07 PM - Friday May 15, 2026",
        "push_allowed": true,
        "agents": null,
        "last_seen_type": null,
        "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
        "display_name": "[email protected] ",
        "abbreviated_display_name": "[email protected]",
        "online_state": "Offline",
        "has_password": false
      },
      "brands": [
        {
          "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "created_at": 1778872023.799601,
          "updated_at": 1778872022.971001,
          "palette": {
            "type": "brand_palette",
            "primary": "red"
          },
          "assets": {
            "type": "brand_assets"
          },
          "messages": {
            "type": "brand_messages"
          },
          "parent": {
            "id": "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f",
            "created_at": 1778872023.230604,
            "updated_at": 1778872023.230605,
            "palette": {
              "primary": "red",
              "type": "brand_palette"
            },
            "assets": {
              "type": "brand_assets"
            },
            "messages": {
              "type": "brand_messages"
            },
            "parent": null,
            "name": "Parent Brand",
            "deleted_at": null,
            "training": false,
            "brand_type": "Brokerage",
            "parents": null,
            "type": "brand",
            "hostnames": null,
            "member_count": 1,
            "base_url": "https://irish.rechat.com"
          },
          "name": "Updated Brand",
          "deleted_at": null,
          "training": false,
          "brand_type": "Brokerage",
          "parents": [
            "7a776a60-d7cf-495c-9e1a-58b08c0a4c2f"
          ],
          "type": "brand",
          "hostnames": null,
          "member_count": 8,
          "base_url": "https://irish.rechat.com"
        }
      ],
      "brand_roles": [
        {
          "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
          "role": "a08bf40d-3e80-4b29-a52d-797741860411"
        }
      ],
      "type": "user_brands"
    }
  ],
  "info": {
    "count": 8,
    "total": 8
  }
}

Add a member with multi roles

Add a member with multi roles
POST/brands/:brand/members

brand (uuid) ID of the brand

email (string) email of user

first_name (string) first name of user

last_name (string) last name of user

avatar (file) file

phone_number (string) phone number

roles (string) it should be stringified of an json array

Example URI

POST /brands/:brand/members
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "type": "user",
      "username": null,
      "first_name": "AAA",
      "last_name": "",
      "email": "[email protected]",
      "phone_number": null,
      "created_at": 1778872024.191529,
      "id": "73cf0f6e-7c7f-49c1-b06a-65fb5a38ad51",
      "address_id": null,
      "cover_image_url": null,
      "profile_image_url": null,
      "updated_at": 1778872024.191547,
      "user_status": "Active",
      "profile_image_thumbnail_url": null,
      "cover_image_thumbnail_url": null,
      "email_confirmed": false,
      "timezone": "America/Chicago",
      "user_type": "Client",
      "deleted_at": null,
      "phone_confirmed": false,
      "is_shadow": true,
      "personal_room": "990cf71f-4842-4fb9-9a40-8b771c97c6b7",
      "brand": null,
      "fake_email": false,
      "features": null,
      "last_seen_at": null,
      "email_signature": null,
      "daily_enabled": false,
      "email_quota": 30000,
      "website": null,
      "instagram": null,
      "twitter": null,
      "linkedin": null,
      "youtube": null,
      "facebook": null,
      "designation": null,
      "tiktok": null,
      "mfa_enabled": false,
      "xpressdocs_user_id": null,
      "current_time": "2:07 PM - Friday May 15, 2026",
      "push_allowed": true,
      "agents": null,
      "last_seen_type": null,
      "active_brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
      "display_name": "AAA ",
      "abbreviated_display_name": "[email protected]",
      "online_state": "Offline",
      "has_password": false
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Assets

Get assets of brand

Get assets of brand
GET/brands/:brand/assets

brand (uuid) ID of the brand

mediums (Array) Applicable mediums (optional)

template_types (Array) Applicable template types (optional)

labels (Array) labels template types

Example URI

GET /brands/:brand/assets
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "9dc81d00-189b-4efa-8af0-95f98d745f12",
      "created_at": 1778872027.423851,
      "updated_at": 1778872022.971001,
      "deleted_at": null,
      "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
      "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
      "file": {
        "id": "d9fdcddb-6bf1-4103-930b-ffde58820fe8",
        "created_at": 1778872027.418445,
        "updated_at": 1778872027.418445,
        "deleted_at": null,
        "created_by": "80a227b2-29a0-11e7-b636-e4a7a08e15d4",
        "path": "brands/assets/44742b60-5091-11f1-8248-cf8ab660e2ca.png",
        "name": "logo.png",
        "public": true,
        "type": "file",
        "url": "https://test.cloudfront.net/brands/assets/44742b60-5091-11f1-8248-cf8ab660e2ca.png",
        "preview_url": "https://test.cloudfront.net/brands/assets/44742b60-5091-11f1-8248-cf8ab660e2ca.png",
        "mime": "image/png"
      },
      "label": "Renamed Asset Label",
      "template_type": "Christmas",
      "medium": "Email",
      "branch": null,
      "type": "brand_asset"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Update brand asset

Update brand asset
PUT/brands/:brand/assets/:asset

brand (uuid) ID of the brand

asset (uuid) ID of the asset

label (string) New asset name

Example URI

PUT /brands/:brand/assets/:asset

Settings

Upload fonts

Upload fonts
POST/brands/:brand/settings/fonts

With this API you can upload multi fonts with format: ttf | otf | woff | woff2 | svg | svgz | eot | otc | ttc

Example URI

POST /brands/:brand/settings/fonts
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "name": "Euclid Circular A",
      "source": "file",
      "variants": [
        {
          "name": "Euclid Circular A Light",
          "font-style": "normal",
          "font-weight": 300,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ad9c30-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea50-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        },
        {
          "name": "Euclid Circular A Medium",
          "font-style": "normal",
          "font-weight": 500,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea51-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae1160-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        },
        {
          "name": "Euclid Circular A Regular",
          "font-style": "normal",
          "font-weight": 400,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3870-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3871-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        },
        {
          "name": "Euclid Circular A SemiBold",
          "font-style": "normal",
          "font-weight": 600,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae5f80-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8690-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        }
      ]
    },
    {
      "name": "NewsGoth Cn BT",
      "source": "file",
      "variants": [
        {
          "name": "NewsGoth Cn BT Regular",
          "font-style": "normal",
          "font-weight": 400,
          "files": [
            {
              "format": "truetype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8691-5091-11f1-8248-cf8ab660e2ca.ttf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aeada0-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        }
      ]
    },
    {
      "name": "Sainte Colombe",
      "source": "file",
      "variants": [
        {
          "name": "Sainte Colombe Light",
          "font-style": "normal",
          "font-weight": 300,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b0-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b1-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        },
        {
          "name": "Sainte Colombe Regular",
          "font-style": "normal",
          "font-weight": 400,
          "files": [
            {
              "format": "opentype",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc0-5091-11f1-8248-cf8ab660e2ca.otf"
            },
            {
              "format": "woff",
              "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc1-5091-11f1-8248-cf8ab660e2ca.woff"
            }
          ]
        }
      ]
    }
  ]
}

Upload fonts

Upload fonts
PUT/brands/:brand/settings/:key

You can save the setting with this API. here is an example to save a marketingPallete with fonts

Example URI

PUT /brands/:brand/settings/:key
URI Parameters
HideShow
id
string (required) Example: 07c154f8-c4da-4a60-83ef-1dd71430d241
key
string (required) Example: marketing_palette
Request
HideShow
Body
{
  "value": {
    "body-bg-color": "#eee",
    "fonts": [
      {
        "name": "Euclid Circular A",
        "source": "file",
        "variants": [
          {
            "name": "Euclid Circular A Light",
            "font-style": "normal",
            "font-weight": 300,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ad9c30-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea50-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          },
          {
            "name": "Euclid Circular A Medium",
            "font-style": "normal",
            "font-weight": 500,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea51-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae1160-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          },
          {
            "name": "Euclid Circular A Regular",
            "font-style": "normal",
            "font-weight": 400,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3870-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3871-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          },
          {
            "name": "Euclid Circular A SemiBold",
            "font-style": "normal",
            "font-weight": 600,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae5f80-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8690-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          }
        ]
      },
      {
        "name": "NewsGoth Cn BT",
        "source": "file",
        "variants": [
          {
            "name": "NewsGoth Cn BT Regular",
            "font-style": "normal",
            "font-weight": 400,
            "files": [
              {
                "format": "truetype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8691-5091-11f1-8248-cf8ab660e2ca.ttf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aeada0-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          }
        ]
      },
      {
        "name": "Sainte Colombe",
        "source": "file",
        "variants": [
          {
            "name": "Sainte Colombe Light",
            "font-style": "normal",
            "font-weight": 300,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b0-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b1-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          },
          {
            "name": "Sainte Colombe Regular",
            "font-style": "normal",
            "font-weight": 400,
            "files": [
              {
                "format": "opentype",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc0-5091-11f1-8248-cf8ab660e2ca.otf"
              },
              {
                "format": "woff",
                "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc1-5091-11f1-8248-cf8ab660e2ca.woff"
              }
            ]
          }
        ]
      }
    ]
  }
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": {
    "id": "07c154f8-c4da-4a60-83ef-1dd71430d241",
    "created_at": 1778872022.971001,
    "updated_at": 1778872022.971001,
    "brand": "07c154f8-c4da-4a60-83ef-1dd71430d241",
    "marketing_palette": {
      "type": "marketing_palette",
      "fonts": [
        {
          "name": "Euclid Circular A",
          "source": "file",
          "variants": [
            {
              "name": "Euclid Circular A Light",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ad9c30-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea50-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 300
            },
            {
              "name": "Euclid Circular A Medium",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42adea51-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae1160-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 500
            },
            {
              "name": "Euclid Circular A Regular",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3870-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae3871-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 400
            },
            {
              "name": "Euclid Circular A SemiBold",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae5f80-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8690-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 600
            }
          ]
        },
        {
          "name": "NewsGoth Cn BT",
          "source": "file",
          "variants": [
            {
              "name": "NewsGoth Cn BT Regular",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42ae8691-5091-11f1-8248-cf8ab660e2ca.ttf",
                  "format": "truetype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aeada0-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 400
            }
          ]
        },
        {
          "name": "Sainte Colombe",
          "source": "file",
          "variants": [
            {
              "name": "Sainte Colombe Light",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b0-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aed4b1-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 300
            },
            {
              "name": "Sainte Colombe Regular",
              "files": [
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc0-5091-11f1-8248-cf8ab660e2ca.otf",
                  "format": "opentype"
                },
                {
                  "url": "https://test.cloudfront.net/brands/07c154f8-c4da-4a60-83ef-1dd71430d241/assets/fonts/42aefbc1-5091-11f1-8248-cf8ab660e2ca.woff",
                  "format": "woff"
                }
              ],
              "font-style": "normal",
              "font-weight": 400
            }
          ]
        }
      ],
      "body-bg-color": "#eee"
    },
    "theme": {
      "type": "theme",
      "navbar": {
        "logo": {},
        "button": {},
        "background": {}
      },
      "palette": {
        "info": {},
        "text": {},
        "error": {},
        "common": {},
        "primary": {},
        "success": {},
        "warning": {},
        "secondary": {},
        "background": {}
      }
    },
    "websites_root_domain": null,
    "help_center": null,
    "type": "brand_settings"
  }
}

Generated by aglio on 15 May 2026